=== debian/control ===
Source: num-utils
Section: math
Priority: optional
Maintainer: Regis Fernandes Gontijo <regisfg@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://suso.suso.org/xulu/Num-utils
Vcs-Browser: https://salsa.debian.org/debian/num-utils
Vcs-Git: https://salsa.debian.org/debian/num-utils.git
Rules-Requires-Root: binary-targets

Package: num-utils
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Description: programs for dealing with numbers from the command line
 The 'num-utils' are a set of programs for dealing with numbers from the
 Unix command line. Much like the other Unix command line utilities like
 grep, awk, sort, cut, etc. these utilities work on data from both
 standard in and data from files.
 .
 Includes these programs:
  * numaverage: A program for calculating the average of numbers.
  * numbound: Finds the boundary numbers (min and max) of input.
  * numinterval: Shows the numeric intervals between each number in a sequence.
  * numnormalize: Normalizes a set of numbers between 0 and 1 by default.
  * numgrep: Like normal grep, but for sets of numbers.
  * numprocess: Do mathematical operations on numbers.
  * numsum: Add up all the numbers.
  * numrandom: Generate a random number from a given expression.
  * numrange: Generate a set of numbers in a range expression.
  * numround: Round each number according to its value.
