=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_installdeb:
	for f in average bound interval normalize random range round ; do \
		mv debian/num-utils/usr/bin/$$f debian/num-utils/usr/bin/num$$f ; \
		mv debian/num-utils/usr/share/man/man1/$$f.1.gz debian/num-utils/usr/share/man/man1/num$$f.1.gz ; \
	done
	dh_installdeb
