=== debian/tests/control ===
Test-Command: cp -dprv debian/tests/ $AUTOPKGTEST_TMP; $AUTOPKGTEST_TMP/tests/tests-num-utils.sh
Depends: @, bash, perl
